Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# ACE_RMCast::From Struct Reference

`#include <Protocol.h>`

Inheritance diagram for ACE_RMCast::From:

[legend]
Collaboration diagram for ACE_RMCast::From:

[legend]
List of all members.

## Public Member Functions
| From (Header const &h, istream &is)
| From (Address const &addr)
From_ptr | clone ()
Address const & | address () const
virtual void | serialize_body (ostream &os) const
virtual void | serialize_body (sstream &ss) const
## Static Public Attributes
u16 const | id = 0x0001
## Protected Member Functions
virtual Profile_ptr | clone_ ()
| From (From const &from)
## Private Attributes
Address | address_

## Constructor & Destructor Documentation

ACE_RMCast::From::From | ( | Header const & | h,
|  | istream & | is
| ) | `[inline]`

ACE_RMCast::From::From | ( | Address const & | addr | ) | `[inline]`

ACE_RMCast::From::From | ( | From const & | from | ) | `[inline, protected]`

## Member Function Documentation

Address const& ACE_RMCast::From::address | ( |  | ) | const`[inline]`

From_ptr ACE_RMCast::From::clone | ( |  | ) | `[inline]`

| Reimplemented from ACE_RMCast::Profile.

virtual Profile_ptr ACE_RMCast::From::clone_ | ( |  | ) | `[inline, protected, virtual]`

| Implements ACE_RMCast::Profile.

virtual void ACE_RMCast::From::serialize_body | ( | sstream & | ss | ) | const`[inline, virtual]`

| Implements ACE_RMCast::Profile.

virtual void ACE_RMCast::From::serialize_body | ( | ostream & | os | ) | const`[inline, virtual]`

| Implements ACE_RMCast::Profile.

## Member Data Documentation

Address ACE_RMCast::From::address_`[private]`

u16 const ACE_RMCast::From::id = 0x0001`[static]`

The documentation for this struct was generated from the following files:

- Protocol.h
- Protocol.cpp